<?xml version="1.0" encoding="UTF-8" ?>
<ClassComponent localName="PanoramicRoom" description="Панорама комнаты."
	fileName="PanoramicRoom.jar" className="org.mati.npc.faces.panoramic.panoramicroom.PanoramicRoomImpl"
	version="9399" time="17.02.2009 16:31:02">

	<Group>Умный дом</Group>

	<!--INLINKS BEGIN-->
	<INLink name="InFaceComponent" description="Связь с компонентом контейнером"
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="1" nullable="false">
	</INLink>
	<!--INLINKS END-->

	<!--OUTLINKS BEGIN-->
	<OUTLink name="OutPanoramicPanel" description="Для связи с панелями панорамного вида комнаты."
		interfaceName="org.mati.npc.components.interfaces.panoramic.PanoramicPanel"
		linksNumber="0" nullable="false">
	</OUTLink>
	<!--OUTLINKS END-->

	<!-- ATTRIBUTES -->
	<Attribute name="SizeWidth" description="Ширина контейнера"
		type="java.lang.Integer" nullable="false" defaultValue="1024">
	</Attribute>
	<Attribute name="SizeHeight" description="Высота контейнера"
		type="java.lang.Integer" nullable="false" defaultValue="768">
	</Attribute>
	<Attribute name="PositionX" description="Положение контейнера по оси Х"
		type="java.lang.Integer" nullable="false" defaultValue="0">
	</Attribute>
	<Attribute name="PositionY" description="Положение контейнера по оси У"
		type="java.lang.Integer" nullable="false" defaultValue="0">
	</Attribute>
	<Attribute name="PanelsOrder" description="Порядок расположения панелей панорамы"
		type="org.mati.SortableList" nullable="false" specialProperty="OutPanoramicPanel"
		defaultValue="null">
	</Attribute>
</ClassComponent>